Bug 1837251 - Add a http/2 disable switch to ingresscontroller
Summary: Add a http/2 disable switch to ingresscontroller
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.5.0
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-19 07:43 UTC by Andrew McDermott
Modified: 2020-07-13 17:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:39:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 401 0 None closed Bug 1837251: Add unsupported http/2 kill switch 2020-11-16 10:33:19 UTC
Github openshift cluster-ingress-operator pull 405 0 None closed Bug 1837251: e2e: Rework http/2 e2e test for ingresscontroller precedence 2020-11-16 10:33:19 UTC
Github openshift router pull 133 0 None closed Bug 1837251: Add unsupported http/2 kill switch 2020-11-16 10:33:19 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:40:17 UTC

Comment 1 Andrew McDermott 2020-05-20 14:01:39 UTC
https://github.com/openshift/cluster-ingress-operator/pull/401

Needs a corresponding change in openshift/router too.

Comment 4 Hongan Li 2020-06-01 03:30:41 UTC
Verified with 4.5.0-0.nightly-2020-05-30-025738 and the issue has been fixed.

After annotating the ingresscontroller with ingress.operator.openshift.io/unsupported-disable-http2="true", the Env  ROUTER_DISABLE_HTTP2=true is added to Deployment and the reencrypt route with custom cert uses HTTP1.1 now.

$ oc -n openshift-ingress-operator annotate ingresscontroller/default ingress.operator.openshift.io/unsupported-disable-http2="true"

$ oc -n openshift-ingress rsh router-default-758df89759-6v9qn
sh-4.2$ env | grep HTTP2
ROUTER_DISABLE_HTTP2=true

$ curl --resolve test-reen.example.com:443:a.b.c.d https://test-reen.example.com -k -I
HTTP/1.1 200 OK

Comment 5 errata-xmlrpc 2020-07-13 17:39:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.